osg::DepthRangeIndexed Class Reference

`#include <DepthRangeIndexed>`

Inheritance diagram for osg::DepthRangeIndexed:

## Public Member Functions

| DepthRangeIndexed ()
| DepthRangeIndexed (unsigned int index, double zNear=0.0, double zFar=1.0)
| DepthRangeIndexed (const DepthRangeIndexed &dp, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_StateAttribute (osg, DepthRangeIndexed, DEPTHRANGEINDEXED)
virtual int | compare (const StateAttribute &sa) const
virtual unsigned int | getMember () const
void | setIndex (unsigned int index)
unsigned int | getIndex () const
void | setZNear (double zNear)
double | getZNear () const
void | setZFar (double zFar)
double | getZFar () const
virtual void | apply (State &state) const
Public Member Functions inherited from osg::StateAttribute
| StateAttribute ()
| StateAttribute (const StateAttribute &sa, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *obj) const
virtual const char * | libraryName () const
virtual const char * | className () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Texture * | asTexture ()
virtual const Texture * | asTexture () const
virtual Type | getType () const =0
TypeMemberPair | getTypeMemberPair () const
virtual bool | isTextureAttribute () const
bool | operator< (const StateAttribute &rhs) const
bool | operator== (const StateAttribute &rhs) const
bool | operator!= (const StateAttribute &rhs) const
const ParentList & | getParents () const
StateSet * | getParent (unsigned int i)
const StateSet * | getParent (unsigned int i) const
unsigned int | getNumParents () const
void | setShaderComponent (ShaderComponent *sc)
ShaderComponent * | getShaderComponent ()
const ShaderComponent * | getShaderComponent () const
virtual bool | getModeUsage (ModeUsage &) const
virtual bool | checkValidityOfAssociatedModes (osg::State &) const
void | setUpdateCallback (StateAttributeCallback *uc)
StateAttributeCallback * | getUpdateCallback ()
const StateAttributeCallback * | getUpdateCallback () const
void | setEventCallback (StateAttributeCallback *ec)
StateAttributeCallback * | getEventCallback ()
const StateAttributeCallback * | getEventCallback () const
virtual void | compileGLObjects (State &) const
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (State *=0) const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~DepthRangeIndexed ()
Protected Member Functions inherited from osg::StateAttribute
virtual | ~StateAttribute ()
void | addParent (osg::StateSet *object)
void | removeParent (osg::StateSet *object)
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

unsigned int | _index
double | _zNear
double | _zFar
Protected Attributes inherited from osg::StateAttribute
ParentList | _parents
ref_ptr< ShaderComponent > | _shaderComponent
ref_ptr< StateAttributeCallback > | _updateCallback
ref_ptr< StateAttributeCallback > | _eventCallback
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Public Types inherited from osg::StateAttribute
enum | Values { OFF = 0x0 , ON = 0x1 , OVERRIDE = 0x2 , PROTECTED = 0x4 , INHERIT = 0x8 }

enum

Type {
TEXTURE , POLYGONMODE , POLYGONOFFSET , MATERIAL ,
ALPHAFUNC , ANTIALIAS , COLORTABLE , CULLFACE ,
FOG , FRONTFACE , LIGHT , POINT ,
LINEWIDTH , LINESTIPPLE , POLYGONSTIPPLE , SHADEMODEL ,
TEXENV , TEXENVFILTER , TEXGEN , TEXMAT ,
LIGHTMODEL , BLENDFUNC , BLENDEQUATION , LOGICOP ,
STENCIL , COLORMASK , DEPTH , VIEWPORT ,
SCISSOR , BLENDCOLOR , MULTISAMPLE , CLIPPLANE ,
COLORMATRIX , VERTEXPROGRAM , FRAGMENTPROGRAM , POINTSPRITE ,
PROGRAM , CLAMPCOLOR , HINT , SAMPLEMASKI ,
PRIMITIVERESTARTINDEX , CLIPCONTROL , VALIDATOR , VIEWMATRIXEXTRACTOR ,
OSGNV_PARAMETER_BLOCK , OSGNVEXT_TEXTURE_SHADER , OSGNVEXT_VERTEX_PROGRAM , OSGNVEXT_REGISTER_COMBINERS ,
OSGNVCG_PROGRAM , OSGNVSLANG_PROGRAM , OSGNVPARSE_PROGRAM_PARSER , UNIFORMBUFFERBINDING ,
TRANSFORMFEEDBACKBUFFERBINDING , ATOMICCOUNTERBUFFERBINDING , PATCH_PARAMETER , FRAME_BUFFER_OBJECT ,
VERTEX_ATTRIB_DIVISOR , SHADERSTORAGEBUFFERBINDING , INDIRECTDRAWBUFFERBINDING , VIEWPORTINDEXED ,
DEPTHRANGEINDEXED , SCISSORINDEXED , BINDIMAGETEXTURE , SAMPLER ,
CAPABILITY = 100
}

typedef GLenum | GLMode
typedef unsigned int | GLModeValue
typedef unsigned int | OverrideValue
typedef std::pair< Type, unsigned int > | TypeMemberPair
typedef std::vector< StateSet * > | ParentList
typedef osg::StateAttributeCallback | Callback
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Detailed Description

Encapsulates glDepthRangeIndexed function : the index version of glDepth

## Constructor & Destructor Documentation

## DepthRangeIndexed() [1/3]

osg::DepthRangeIndexed::DepthRangeIndexed | ( |  | ) |

Referenced by compare(), DepthRangeIndexed(), and META_StateAttribute().

## DepthRangeIndexed() [2/3]

osg::DepthRangeIndexed::DepthRangeIndexed | ( | unsigned int | index,
|  | double | zNear = 0.0,
|  | double | zFar = 1.0 )

inline

References _index, _zFar, and _zNear.

## DepthRangeIndexed() [3/3]

osg::DepthRangeIndexed::DepthRangeIndexed | ( | const DepthRangeIndexed & | dp,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY )

inline

Copy constructor using CopyOp to manage deep vs shallow copy.

References _index, _zFar, _zNear, DepthRangeIndexed(), osg::CopyOp::SHALLOW_COPY, and osg::StateAttribute::StateAttribute().

## ~DepthRangeIndexed()

virtual osg::DepthRangeIndexed::~DepthRangeIndexed | ( |  | ) |

protected virtual

## Member Function Documentation

## apply()

virtual void osg::DepthRangeIndexed::apply | ( | State & |  | ) | const

virtual

apply the OpenGL state attributes. The render info for the current OpenGL context is passed in to allow the StateAttribute to obtain details on the the current context and state.

Reimplemented from osg::StateAttribute.

## compare()

virtual int osg::DepthRangeIndexed::compare | ( | const StateAttribute & | sa | ) | const

inline virtual

Return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.

Implements osg::StateAttribute.

References _index, _zFar, _zNear, COMPARE_StateAttribute_Parameter, COMPARE_StateAttribute_Types, DepthRangeIndexed(), and osg::StateAttribute::StateAttribute().

## getIndex()

unsigned int osg::DepthRangeIndexed::getIndex | ( |  | ) | const

inline

Get the index of the DepthRangeIndexed.

References _index.

## getMember()

virtual unsigned int osg::DepthRangeIndexed::getMember | ( |  | ) | const

inline virtual

Return the buffer index as the member identifier.

Reimplemented from osg::StateAttribute.

References _index.

## getZFar()

double osg::DepthRangeIndexed::getZFar | ( |  | ) | const

inline

References _zFar.

## getZNear()

double osg::DepthRangeIndexed::getZNear | ( |  | ) | const

inline

References _zNear.

## META_StateAttribute()

osg::DepthRangeIndexed::META_StateAttribute | ( | osg | ,
|  | DepthRangeIndexed | ,
|  | DEPTHRANGEINDEXED | )

References osg::StateAttribute::DEPTHRANGEINDEXED, and DepthRangeIndexed().

## setIndex()

void osg::DepthRangeIndexed::setIndex | ( | unsigned int | index | ) |

Set the index of the DepthRangeIndexed.

## setZFar()

void osg::DepthRangeIndexed::setZFar | ( | double | zFar | ) |

inline

References _zFar.

## setZNear()

void osg::DepthRangeIndexed::setZNear | ( | double | zNear | ) |

inline

References _zNear.

## Member Data Documentation

## _index

unsigned int osg::DepthRangeIndexed::_index

protected

Referenced by compare(), DepthRangeIndexed(), DepthRangeIndexed(), getIndex(), and getMember().

## _zFar

double osg::DepthRangeIndexed::_zFar

protected

Referenced by compare(), DepthRangeIndexed(), DepthRangeIndexed(), getZFar(), and setZFar().

## _zNear

double osg::DepthRangeIndexed::_zNear

protected

Referenced by compare(), DepthRangeIndexed(), DepthRangeIndexed(), getZNear(), and setZNear().

The documentation for this class was generated from the following file:

- DepthRangeIndexed